libinput_tablet_tool Struct Reference
Initialization and manipulation of input devices

An object representing a tool being used by a device with the LIBINPUT_DEVICE_CAP_TABLET_TOOL capability. More...

`#include <libinput.h>`

## Detailed Description

An object representing a tool being used by a device with the LIBINPUT_DEVICE_CAP_TABLET_TOOL capability.

Tablet events generated by such a device are bound to a specific tool rather than coming from the device directly. Depending on the hardware it is possible to track the same physical tool across multiple struct libinput_device devices, see Tracking unique tools.

This struct is refcounted, use libinput_tablet_tool_ref() and libinput_tablet_tool_unref().

The documentation for this struct was generated from the following file:

- /build/libinput/src/libinput-1.9.4/src/libinput.h